const vao='midinh.inp';
      ra='midinh.out';
type mang=array[1..400000] of longint;
var a,b:mang; c:array [1..10000] of boolean;
    f:text;
    i,j,n,m,l,k:integer;
procedure nhap;
var f:text;
begin
        assign(f,vao);
        reset(f);
        read(f,n,m);
        for j:=1 to m do read(f,a[j]);
        close(f);
end;

procedure xuli;
var k:integer;
begin

       assign(f,ra);
       rewrite(f);
       k:=n-m;
       for j:=1 to n do c[j]:=true;
       for i:=1 to n do
       begin
                for j:=1 to n do
                        if a[i]=j then c[j]:=false;
       end;
       for i:=1 to n do
       if c[i]=true then write(f,i,' ');
       if c[i]= false then write(f,'khong con cho');
        close(f);
end;
begin
nhap;
xuli;
end.
